Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Blueman 2.0, Local Services will not start[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 932

PostPosted: Fri Sep 25, 2015 1:20 pm    Post subject: Blueman 2.0, Local Services will not start[SOLVED] Reply with quote

Hi All:

Have unmasked and installed Blueman 2.0 on my machine.
Details here:
[ebuild R ~] net-wireless/blueman-2.0::gentoo USE="network nls policykit pulseaudio thunar -appindicator" PYTHON_TARGETS="python2_7" 0 KiB

It pairs up nicely with my BB passport and I can send photos back and forth from the phone. When I tried to "browse" files on the phone I get this error:
"Failed to launch default file browser, The specified location is not supported. You can enter an alternate browser in the service settings".

From the old Blueman I remember this so I right click on the bluetooth icon and select "Local services" and I get nothing.
So I exit the applet and start it in a bash console:
jserink@jserinki7 ~/qemu/vde $ ck-launch-session blueman-applet &
[1] 19970
jserink@jserinki7 ~/qemu/vde $ blueman-applet version 2.0 starting
/usr/lib64/python2.7/site-packages/gi/overrides/__init__.py:313: Warning: The property GSettings:schema is deprecated and shouldn't be used anymore. It will be removed in a future version.
return super_init_func(self, **new_kwargs)

All ok, now I right click on the bluetooth icon and selec "Local Services" and I get this:
jserink@jserinki7 ~/qemu/vde $ /usr/bin/blueman-services:40: Warning: The property GtkContainer:resize-mode is deprecated and shouldn't be used anymore. It will be removed in a future version.
self.Builder.add_from_file(UI_PATH + "/services.ui")
/usr/lib64/python2.7/site-packages/gi/overrides/__init__.py:313: Warning: The property GSettings:schema is deprecated and shouldn't be used anymore. It will be removed in a future version.
return super_init_func(self, **new_kwargs)
blueman-services version 2.0 starting
Traceback (most recent call last):
File "/usr/bin/blueman-services", line 171, in <module>
BluemanServices()
File "/usr/bin/blueman-services", line 68, in __init__
self.load_plugins()
File "/usr/bin/blueman-services", line 104, in load_plugins
__import__("blueman.plugins.services.%s" % plugin, None, None, [])
File "/usr/lib64/python2.7/site-packages/blueman/plugins/services/Network.py", line 29
bind_textdomain_codeset("blueman", "UTF-8") self.Builder.add_from_file(UI_PATH + "/services-network.ui")
^
SyntaxError: invalid syntax

Looks like some python errors but my knowledge of python is only slightly better than my grasp of Swahilli.
Any pointers from the experts?

Cheers,
John


Last edited by jserink on Sat Oct 03, 2015 2:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
PurpleAlien
n00b
n00b


Joined: 02 Oct 2015
Posts: 2

PostPosted: Fri Oct 02, 2015 10:37 am    Post subject: Reply with quote

Hi.

Seems the issue is a missing return in line 29 of /usr/lib64/python2.7/site-packages/blueman/plugins/services/Network.py

This line:

Code:
bind_textdomain_codeset("blueman", "UTF-8")        self.Builder.add_from_file(UI_PATH + "/services-network.ui")


Should be on two separate lines:

Code:
bind_textdomain_codeset("blueman", "UTF-8")       
self.Builder.add_from_file(UI_PATH + "/services-network.ui")


Johan.
Back to top
View user's profile Send private message
jserink
l33t
l33t


Joined: 30 Jan 2004
Posts: 932

PostPosted: Fri Oct 02, 2015 12:56 pm    Post subject: Reply with quote

Hey Purple!

Worked a treat, thank you so much.

Cheers,
John
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum